System.Core 4.0.0.0 System.Linq.Expressions.Expression System.Linq.Expressions.IArgumentProvider System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/DynamicExpressionProxy)) To be added.

Represents a dynamic operation.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression ``

  This default implementation for nodes calls . Override this method to call into a more specific method on a derived visitor class of the class. However, it should still support unknown visitors by calling .

  Dispatches to the specific visit method for this node type. For example, calls the .

  The result of visiting this node.

  The visitor to visit this node with.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.Expression> To be added. To be added.

  Gets the arguments to the dynamic operation.

- Property
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder To be added. To be added.

  Gets the , which determines the run-time behavior of the dynamic site.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the delegate used by the .

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this expression. Extension nodes should return when overriding this method.

- Property
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.DynamicExpression `` To be added.

  Compares the value sent to the parameter, arguments, to the Arguments property of the current instance of DynamicExpression. If the values of the parameter and the property are equal, the current instance is returned. If they are not equal, a new DynamicExpression instance is returned that is identical to the current instance except that the Arguments property is set to the value of parameter arguments.

  This expression if no children are changed or an expression with the updated children.

  The property of the result.